#!/usr/bin/ruby
# encoding: utf-8

require 'gtk2'
require 'vte'
require "rexml/document"
require 'optparse'

window = Gtk::Window.new
window.set_size_request(1000, 576)
window.border_width = 0
window.window_position = Gtk::Window::POS_CENTER_ALWAYS

window.deletable = false
window.decorated = false
window.allow_grow = false
window.allow_shrink = false

window.title = "RescueGUI"

# Background

bgimg = Gtk::Image.new("background.png")
fixed = Gtk::Fixed.new
fixed.put(bgimg, 0, 0)

# Icons
fficon = Gtk::Image.new("/usr/share/icons/Faenza/apps/32/firefox.png")
fixed.put(fficon, 800, 8)

wiicon = Gtk::Image.new("/usr/share/icons/Faenza/devices/32/network-wireless.png")
fixed.put(wiicon, 840, 8)

usbicon = Gtk::Image.new("/usr/share/icons/Faenza/devices/32/usbpendrive_unmount.png")
fixed.put(usbicon, 880, 8)

deicon = Gtk::Image.new("/usr/share/icons/Faenza/places/32/desktop.png")
fixed.put(deicon, 920, 8)

exicon = Gtk::Image.new("/usr/share/icons/Faenza/apps/32/gnome-shutdown.png")
fixed.put(exicon, 960, 8)

# Kacheln Startseite
yell1 = Gtk::Image.new("yellow.png")
fixed.put(yell1, 216, 84)

# Kacheln Startseite
yell2 = Gtk::Image.new("yellow.png")
fixed.put(yell2, 608, 330)

# Kacheln Startseite
ock1 = Gtk::Image.new("ocker.png")
fixed.put(ock1, 216, 330)

# Kacheln Startseite
ock2 = Gtk::Image.new("ocker.png")
fixed.put(ock2, 608, 84)

# Labels:

lab1 = Gtk::Label.new
lab1.width_request = 250
lab1.wrap = true
lab1.set_markup("<b>Datensicherung</b>\n\nSichern Sie Daten von unbeschädigten Dateisystemen auf USB-Festplatte oder Netzlaufwerken...")
fixed.put(lab1, 360, 100)

lab2 = Gtk::Label.new
lab2.width_request = 250
lab2.wrap = true
lab2.set_markup("<b>Datenrettung</b>\n\nRetten Sie Daten, wenn eine Festplatte so beschädigt ist, dass kein Zugriff über das Dateisystem möglich ist...")
fixed.put(lab2, 360, 346)

lab3 = Gtk::Label.new
lab3.width_request = 250
lab3.wrap = true
lab3.set_markup("<b>Laufwerk klonen</b>\n\nKlonen Sie ein (beschädigtes) Laufwerk auf eine neue Festplatte...")
fixed.put(lab3, 752, 346)

lab4 = Gtk::Label.new
lab4.width_request = 250
lab4.wrap = true
lab4.set_markup("<b>Virenscan</b>\n\nUntersuchen Sie Ihren Rechner auf Viren und andere Schadsoftware...")
fixed.put(lab4, 752, 100)

window.add fixed
window.signal_connect('destroy') { Gtk.main_quit }
window.show_all 
Gtk.main
