#!/usr/bin/ruby
# encoding: utf-8

require 'gtk2'
require 'vte'
require "rexml/document"
require 'optparse'

window = Gtk::Window.new
window.set_size_request(1000, 576)
window.border_width = 0
window.window_position = Gtk::Window::POS_CENTER_ALWAYS

window.deletable = false
window.decorated = false
window.allow_grow = false
window.allow_shrink = false

window.title = "RescueGUI"

# Background

bgimg = Gtk::Image.new("background.png")
fixed = Gtk::Fixed.new
fixed.put(bgimg, 0, 0)

# Icons
fficon = Gtk::Image.new("/usr/share/icons/Faenza/apps/32/firefox.png")
fixed.put(fficon, 800, 8)

wiicon = Gtk::Image.new("/usr/share/icons/Faenza/devices/32/network-wireless.png")
fixed.put(wiicon, 840, 8)

usbicon = Gtk::Image.new("/usr/share/icons/Faenza/devices/32/usbpendrive_unmount.png")
fixed.put(usbicon, 880, 8)

deicon = Gtk::Image.new("/usr/share/icons/Faenza/places/32/desktop.png")
fixed.put(deicon, 920, 8)

exicon = Gtk::Image.new("/usr/share/icons/Faenza/apps/32/gnome-shutdown.png")
fixed.put(exicon, 960, 8)

# Label

lab3 = Gtk::Label.new
lab3.width_request = 748
lab3.wrap = true
lab3.set_markup("<b>Laufwerk klonen</b>\n\nKlonen Sie ein (beschädigtes) Laufwerk auf eine neue Festplatte. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr.")
fixed.put(lab3, 232, 116)
 
# Quelle 

sourcecombo = Gtk::ComboBox.new
sourcecombo.append_text("Bitte Quelllaufwerk auswählen")
sourcecombo.active = 0
sourcecombo.width_request = 350
sourcecombo.height_request = 32
fixed.put(sourcecombo, 232, 250)
 
fwicon = Gtk::Image.new("/usr/share/icons/Faenza/actions/32/forward.png")
fixed.put(fwicon, 592, 250)
 
targetcombo = Gtk::ComboBox.new
targetcombo.append_text("Bitte Ziellaufwerk auswählen")
targetcombo.active = 0
# targetcombo.sensitive = false
targetcombo.width_request = 350
targetcombo.height_request = 32
fixed.put(targetcombo, 634, 250)
 
# Buttons

go = Gtk::Button.new(Gtk::Stock::APPLY)
go.width_request = 140
go.height_request = 32
fixed.put(go, 844, 528)

cancel = Gtk::Button.new(Gtk::Stock::CANCEL)
cancel.width_request = 140
cancel.height_request = 32
fixed.put(cancel, 696, 528)

pref = Gtk::Button.new(Gtk::Stock::PREFERENCES)
pref.width_request = 140
pref.height_request = 32
fixed.put(pref, 548, 528)

window.add fixed
window.signal_connect('destroy') { Gtk.main_quit }
window.show_all 
Gtk.main
